import micro_request from '@/utils/micro_request'

const basePath = process.env.VUE_APP_AdminPath
export default {
  // 获取列表
  getList(query) {
    return micro_request.postRequest(basePath, '{{ properCase name }}', 'GetList', query)
  },
  getEntityById(query) {
    return micro_request.postRequest(basePath, '{{ properCase name }}', 'GetEntityById', query)
  },
  doAdd(query) {
    return micro_request.postRequest(basePath, '{{ properCase name }}', 'Create', query)
  },
  doEdit(query) {
    return micro_request.postRequest(basePath, '{{ properCase name }}', 'UpdateById', query)
  },
  doDelete(query) {
    return micro_request.postRequest(basePath, '{{ properCase name }}', 'DeleteByIds', query)
  },
}
